<div class="container">
<table mat-table class="mat-elevation-z8" [dataSource]="products_purchased">
  <ng-container matColumnDef="Nombre">
    <th mat-header-cell *matHeaderCellDef> Nombre </th>
    <td mat-cell *matCellDef="let element;"> {{element.product.name}}</td>
  </ng-container>

  <ng-container matColumnDef="Descripcion">
    <th mat-header-cell *matHeaderCellDef> Descripción </th>
    <td mat-cell *matCellDef="let element"> {{element.product.description}} </td>
  </ng-container>

  <ng-container matColumnDef="Cantidad">
    <th mat-header-cell *matHeaderCellDef> Cantidad </th>
    <td mat-cell *matCellDef="let element"> {{element.quantity}} </td>
  </ng-container>

  <ng-container matColumnDef="Acciones">
    <th mat-header-cell *matHeaderCellDef> Acciones </th>
    <td mat-cell *matCellDef="let element, let i = index">
      <button mat-icon-button color="warn" (click)="deleteProduct(i)"
        aria-label="Eliminar producto">
        <mat-icon>delete_forever</mat-icon>
      </button>
    </td>
  </ng-container>

  <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
  <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>
<button class ="compra" mat-flat-button [disabled]="this.products_purchased.length == 0" color="primary" (click)="purchase()"> Comprar
</button>
</div>
